# Deprecated API

## Contents

- Classes
- Methods

Classes
Class
Description
commoble.databuddy.nbt.NBTListCodec
Consider using mojang codecs and Codec::listOf
commoble.databuddy.nbt.NBTMapCodec
prefer using Codecs to read and write NBT where possible

Methods
Method
Description
commoble.databuddy.plugin.PluginLoader.loadPlugins​(Class<?>, Class<PLUGIN>, REGISTRY, Logger, String)
TODO will be removed in 1.18.x; use `loadPlugins(Class, Class, Object)` instead